<?php
// $Id: plugins.inc,v 1.2 2006/09/16 11:32:32 stborchert Exp $

function linktocontent_get_plugins() {
  $plugin_path = drupal_get_path('module', 'linktocontent') . '/plugins/';
  $plugins = file_scan_directory($plugin_path, '.*', array (
    '.',
    '..',
    'CVS'
  ), 0, false, 'basename');

  foreach ($plugins as $plugin_name => $plugin) {
    include_once ($plugin_path . $plugin_name . '/' . $plugin_name . '.inc');
    $plugins[$plugin_name]->title = module_invoke($plugin_name, 'get_title');
  }
  return $plugins;
}

function _check_files($plugin_name) {
  $tinymce_plugin_path = drupal_get_path('module', 'tinymce');
  $tinymce_plugin_path .= '/tinymce/jscripts/tiny_mce/plugins/' . $plugin_name;
  return file_check_location($tinymce_plugin_path . '/popup.php', $tinymce_plugin_path);
}
?>