<?php
// $Id: linktonode_forum.inc,v 1.1 2006/10/23 10:00:16 stborchert Exp $

/**
 * linktonode_forum
 * forum extension for plugin linktonode
 */

class linktonode_forum {

  function linktonode_forum() {
  }

  function get_nodes($container, $parent = -1) {
    $results = array();
    $containers = array();
    $types = variable_get('linktonode_node_types', array());
    if ($container < 0)
      $container = 0;

    $cid = $container;
    if ($parent > 0)
      $cid = $parent;

    $type = 'forum';
    if ($container == 0) {
      $cid = variable_get('forum_nav_vocabulary', -1);
      if ($cid < 0)
        return array();
      $containers[] = module_invoke('taxonomy', 'get_vocabulary', $cid);
      $type = 'forum-container';
    }
    else {
      $containers = module_invoke('taxonomy', 'get_tree', $container, $parent, -1, 2);
      $containers = $this->_filter_container($containers, $parent);
    }

    foreach ($containers as $item) {
      $obj = new StdClass;
      $obj->nid = ($type == 'forum' ? $item->tid : $item->vid);
      $obj->title = (trim($item->name));
      $obj->date = '';
      $obj->author = '';
      $obj->type = $type;
      $obj->href = url('forum' . ($type == 'forum' ? '/' . $obj->nid : ''));
      $obj->orig_href = 'taxonomy/' . ($type == 'forum' ? 'term/' : 'vocabulary/') . $obj->nid; // used to remove duplicate entries
      $results[$obj->orig_href] = $obj;
    } // end foreach

    return $results;
  }

  function find_nodes($search) {
  }

  function get_title() {
    return t('forum');
  }

  function settings(){
    return array('forum-container' => t('forum container'),
      'forum' => t('forum topic'));
  }

  function settings_submit($form_id, $values){
  }

  function check_dependencies() {
    if (!module_exist('forum')) {
      return false;
    }
    return true;
  }

  function _filter_container($containers, $filter = 0) {
    $result = array();
    foreach($containers as $key => $item) {
      if (in_array($filter, $item->parents)) {
        $result[$key] = $item;
      }
    }
    return $result;
  }
}
?>