<?php
// $Id: linktonode_taxonomy.inc,v 1.4 2006/10/23 09:56:53 stborchert Exp $

/**
 * linktonode_taxonomy
 * taxonomy extension for plugin linktonode
 */

class linktonode_taxonomy {

  function linktonode_taxonomy() {
  }

  function get_nodes($container, $parent = -1) {
    $types = variable_get('linktonode_node_types', array());
		if (!isset($types['term'])
			|| ($types['term'] !== 'term'))
			return array();

    if ($container < 0)
      $container = 0;
    $containers = module_invoke('taxonomy', 'get_tree', $container, $parent, -1, 2);
    $containers = $this->_filter_container($containers, (($parent > -1) ? $parent : $container));

    $results = array();
    $obj = null;

    foreach ($containers as $item) {
      $obj = new StdClass;
      $obj->nid = $item->tid;
      $obj->title = (trim($item->name));
      $obj->date = '';
      $obj->author = '';
      $obj->type = 'term';
      $obj->href = url('taxonomy/term/' . $obj->nid);
      $obj->orig_href = 'taxonomy/term/' . $obj->nid; // used to remove duplicate entries
      $results[$obj->orig_href] = $obj;
    } // end foreach

    return $results;
  }

  function find_nodes($search) {
  }

  function get_title() {
    return t('taxonomy');
  }

  function settings(){
    return array('term' => t('term'));
  }

  function settings_submit($form_id, $values){
  }

  function check_dependencies() {
    if (!module_exist('taxonomy')) {
      return false;
    }
    return true;
  }

  function _filter_container($containers, $filter = 0) {
    $result = array();
    foreach($containers as $key => $item) {
      if (in_array($filter, $item->parents)) {
        $result[$key] = $item;
      }
    }
    return $result;
  }

}
?>