// $Id: functions.js,v 1.10 2006/10/21 16:08:47 stborchert Exp $

function preinit() {
	// Initialize
	tinyMCE.setWindowArg('mce_windowresize', false);
}

function init() {
  if (tinyMCE.isMSIE) {
    tinyMCEPopup.resizeToInnerSize();
  }
  else {
    tinyMCEPopup.resizeToContent();
  }

  // load additional scripts
  loadScript("jscripts/options.js");
  loadScript("jscripts/dropdown.js");
  loadScript("jscripts/nodelist.js");
  window.focus();
  loadCategories(null);
}

/**
 * loadCategories()
 * @param obj parent Object
 **/
function loadCategories(obj) {
  var catId = '';
  var vId = '';
  var top = 75;
  if (obj != null) {
    var fSel = $("#browse_sel_0_sel");
    if (fSel !== null)
      vId = fSel.get(0).value;
    if (obj != fSel)
      catId = obj.value;

    try
    {
      objTop = $(obj).id().match(/_(\d+)_sel/);
      top += (objTop[1] * 17);
    }
    catch (e) {
      top += 0;
    }
  }

  $("#statusImg").top(top + "px").show();
  $.get(_buildUrl(obj), function(data){
    var results = eval('(' + data + ');');
    _clearNodeList();
    if ((obj == null) || ($(obj).get(0).value > -1)) {
      if (_fillDropdown(obj, results)) {
        window.resizeBy( 0, 17 );
      }
    }
    _fillNodelist(results);
    $("#statusImg").hide();
  });
}

function insertAction() {
  if (selectedNode == null)
    return;

	var inst = tinyMCE.getInstanceById(tinyMCE.getWindowArg('editor_id'));
	var elm = inst.getFocusElement();

	elm = tinyMCE.getParentElement(elm, "a");

	tinyMCEPopup.execCommand("mceBeginUndoLevel");

	// Create new anchor elements
	if (elm == null) {
		var nid = selectedNode.cells[0].firstChild.nodeValue;
		var insertText = selectedNode.cells[1].firstChild.nodeValue;
    if (inst.selection.getSelectedText().length == 0) {
      tinyMCEPopup.execCommand("mceInsertContent", false,
        '<a href="' + nid + '">' + insertText + '</a>');
		}
    else {
   	  tinyMCEPopup.execCommand("mceInsertContent", false,
        '<a href="' + nid + '">' + inst.selection.getSelectedHTML() + '</a>');
    } // end (getSelectedText == 0)
	}
  else {
    elm.setAttribute("mce_href", selectedNode.cells[0].firstChild.nodeValue);
  	// Refresh in old MSIE
  	if (tinyMCE.isMSIE5)
  		elm.outerHTML = elm.outerHTML;
	}

	tinyMCE._setEventsEnabled(inst.getBody(), false);
	tinyMCEPopup.execCommand("mceEndUndoLevel");
	tinyMCEPopup.close();
}

function loadScript(url) {
  var script = document.createElement("script");
  script.type = "text/javascript";
  script.src = url;
  $("head", document).append(script);
}


/**
 * _buildUrl()
 * @param obj parent Object
 * @return requestUrl
 **/
function _buildUrl(obj){
  var url = tinyMCE.baseURL.substring(0, tinyMCE.baseURL.indexOf('modules/'));
  if (url.indexOf('sites/') > -1)
    url = url.substring(0, url.indexOf('sites/'));
  url = url + '?q=ltc/linktonode/';

  if (obj != null) {
    var fSel = $("#browse_sel_0_sel").get(0);
    if (fSel !== null)
      url += fSel.value + "/";
    if (obj != fSel)
      url += catId = obj.value;
  }
  return url;
}
