// $Id: nodelist.js,v 1.1 2006/09/14 08:52:46 stborchert Exp $

var selectedNode = null;

function _fillNodelist(results) {
  if ((results == null) || (results.node == null) || (results.node == false))
    return;

  for (key in results.node) {
    _addNodeToList(results.node[key]);
  }
}

function _clearNodeList() {
  $("#nodelist tbody tr").each(
    function() {
      $(this).remove();
    }
  );
}

function _addNodeToList(node){
  var tr = $("<tr></tr>").appendTo("#nodelist tbody");
  $(tr).mouseover(function() {
    if (selectedNode != this)
      this.style.backgroundColor = "#cecece";
  });
  $(tr).mouseout(function() {
    if (selectedNode != this)
      this.style.backgroundColor = "#ffffff";
  });
  $(tr).click(function() {
    _clearSelected();
    selectedNode = this;
    this.style.backgroundColor = "#dadfe9";
  });

  var td = $("<td class=\"nid\">" + node.href + "</td>").appendTo(tr);

  $("<td>" + node.title + "</td>").appendTo(tr);
  $("<td>" + node.date + "</td>").appendTo(tr);
  $("<td>" + node.author + "</td>").appendTo(tr);
}

function _clearSelected() {
  $("#nodelist tbody tr").each(
    function() {
      $(this).background("#ffffff");
    }
  );
  selectedNode = null;
}
